Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Class SpanBuilderImpl

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.SpanBuilderImpl

All Implemented Interfaces:
  PartBuilder, SpanBuilder, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

    public class SpanBuilderImpl

extends PartBuilderSupport
implements SpanBuilder

renders a row or column heading. Creates a DOM Element from a Member, Hierarchy, Dimension or Level.

Author:
  av

Nested Class Summary

Nested classes/interfaces inherited from interface com.tonbeller.jpivot.table.SpanBuilder
`SpanBuilder.SBContext`

Field Summary

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`SpanBuilderImpl(java.lang.String memberName, java.lang.String headingName)` creates an instance

Method Summary
`org.w3c.dom.Element` | `build(SpanBuilder.SBContext sbctx, Span span, boolean even)` renders a row- or column heading

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`destroy, getBookmarkState, initialize, isAvailable, setBookmarkState, setDirty, startBuild, stopBuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, initialize, isAvailable, startBuild, stopBuild`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Constructor Detail

### SpanBuilderImpl

    public SpanBuilderImpl(java.lang.String memberName,
                           java.lang.String headingName)

  creates an instance

  Parameters:
    `memberName` - either "row-heading" or "column-heading"
    `headingName` - element name for the heading of a row- or column-heading (i.e. "heading-heading").

Method Detail

### build

    public org.w3c.dom.Element build(SpanBuilder.SBContext sbctx,
                                     Span span,
                                     boolean even)

  renders a row- or column heading

  Specified by:
    `build` in interface `SpanBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD